BECKHOFF Drive Technology

Bedienungsanleitung

AX5000 - TwinCAT Drive Manager

Version: 2.1
Date: 22.09.2008


Hinweise zur Dokumentation

Diese Beschreibung wendet sich ausschließlich an ausgebildetes Fachpersonal der Steuerungs- und Automatisierungstechnik, das mit den geltenden nationalen Normen vertraut ist.
Zur Installation und Inbetriebnahme der Komponenten ist die Beachtung der nachfolgenden Hinweise und Erklärungen unbedingt notwendig.

Das Fachpersonal hat sicherzustellen, dass die Anwendung bzw. der Einsatz der beschriebenen Produkte alle Sicherheitsanforderungen, einschließlich sämtlicher anwendbaren Gesetze, Vorschriften, Bestimmungen und Normen erfüllt.

Disclaimer

Diese Dokumentation wurde sorgfältig erstellt. Die beschriebenen Produkte werden jedoch ständig weiter entwickelt.
Deshalb ist die Dokumentation nicht in jedem Fall vollständig auf die Übereinstimmung mit den beschriebenen Leistungsdaten, Normen oder sonstigen Merkmalen geprüft.
Falls sie technische oder redaktionelle Fehler enthält, behalten wir uns das Recht vor, Änderungen jederzeit und ohne Ankündigung vorzunehmen.
Aus den Angaben, Abbildungen und Beschreibungen in dieser Dokumentation können keine Ansprüche auf Änderung bereits gelieferter Produkte geltend gemacht werden.

Marken

Beckhoff®, TwinCAT®, EtherCAT®, Safety over EtherCAT®, TwinSAFE®, XFC® und XTS® sind eingetragene und lizenzierte Marken der Beckhoff Automation GmbH.
Die Verwendung anderer in dieser Dokumentation enthaltenen Marken oder Kennzeichen durch Dritte kann zu einer Verletzung von Rechten der Inhaber der entsprechenden Bezeichnungen führen.

Patente

Die EtherCAT Technologie ist patentrechtlich geschützt, insbesondere durch folgende Anmeldungen und Patente:
EP1590927, EP1789857, DE102004044764, DE102007017835
mit den entsprechenden Anmeldungen und Eintragungen in verschiedenen anderen Ländern.

Die TwinCAT Technologie ist patentrechtlich geschützt, insbesondere durch folgende Anmeldungen und Patente:
EP0851348, US6167425 mit den entsprechenden Anmeldungen und Eintragungen in verschiedenen anderen Ländern.

Copyright

© Beckhoff Automation GmbH & Co. KG, Deutschland.
Weitergabe sowie Vervielfältigung dieses Dokuments, Verwertung und Mitteilung seines Inhalts sind verboten, soweit nicht ausdrücklich gestattet.
Zuwiderhandlungen verpflichten zu Schadenersatz. Alle Rechte für den Fall der Patent-, Gebrauchsmuster- oder Geschmacksmustereintragung vorbehalten.


Allgemeine Sicherheitshinweise

Sicherheitsbestimmungen

Beachten Sie die folgenden Sicherheitshinweise und Erklärungen! Produktspezifische Sicherheitshinweise finden Sie auf den folgenden Seiten oder in den Bereichen Montage, Verdrahtung, Inbetriebnahme usw.

Haftungsausschluss

Die gesamten Komponenten werden je nach Anwendungsbestimmungen in bestimmten Hard- und Software-Konfigurationen ausgeliefert. Änderungen der Hard-, oder Software-Konfiguration, die über die dokumentierten Möglichkeiten hinausgehen sind unzulässig und bewirken den Haftungsausschluss der Beckhoff Automation GmbH.

Qualifikation des Personals

Diese Beschreibung wendet sich ausschließlich an ausgebildetes Fachpersonal der Steuerungs-, Automatisierungs- und Antriebstechnik, das mit den geltenden Normen vertraut ist.

Erklärung der Sicherheitssymbole

In der vorliegenden Dokumentation werden die folgenden Sicherheitssymbole mit einem nebenstehenden Sicherheitshinweis verwendet. Der nebenstehende Sicherheitshinweis ist aufmerksam zu lesen und unbedingt zu befolgen.

GEFAHR 		Akute Verletzungsgefahr!
Wenn der Sicherheitshinweis neben diesem Symbol nicht beachtet wird, besteht unmittelbare Gefahr für Leben und Gesundheit von Personen.

WARNUNG 		Verletzungsgefahr!
Wenn der Sicherheitshinweis neben diesem Symbol nicht beachtet wird, besteht Gefahr für Leben und Gesundheit von Personen.

VORSICHT 		Gefahr für Personen, Umwelt oder Geräte!
Wenn der Sicherheitshinweis neben diesem Symbol nicht beachtet wird, können Personen, Umwelt oder Geräte geschädigt werden.

Hinweis 		Tipp oder Fingerzeig
Dieses Symbol kennzeichnet Informationen, die zum besseren Verständnis beitragen.


AX5000 TwinCAT Drive Manager - Ausgabestände der Dokumentation

BECKHOFF AX5000-TwinCAT Drive Manager: Vorwort

Ausgabestände der Dokumentation

Version | Kommentar
2.1 | Kapitelüberarbeitung: Allgemeines --> Übersicht Toolbar --> Übersicht Arbeitsbereich --> Übersicht Arbeitsbereich --> Baumansicht im Arbeitsbereich Arbeitsbereich --> Arbeitsblätter --> Geräte --> Arbeitsblatt Scope View Neue Kapitel: Vorwort --> Hinweise zur Dokumentation Vorwort --> Sicherheitshinweise Vorwort --> Ausgabestände der Dokumentation Anhang --> Support und Service Allgemeine Routine-Korrekturen.
2.0 | Erste Veröffentlichung
1.0 | Interne Ausgabe


AX5000 TwinCAT Drive Manager - Übersicht

BECKHOFF AX5000-TwinCAT Drive Manager: Allgemeines

Übersicht

Der TwinCAT Drive Manager für die Parametrierung eines AX5000 Servoverstärkers ist in den System Manager integriert, so dass kein separates Konfigurationstool erforderlich ist.

Nachdem ein AX5000 Servoverstärker (4) erkannt oder eingetragen wurde, steht der TwinCAT Drive Manager im Karteireiter „Configuration“ (5) (Konfiguration) zur Verfügung.

Der Drive Manager besteht aus drei Teilen: Symbolleiste, Arbeitsbereich und Statusleiste:

1 | Die Symbolleiste bietet wichtige Online-Funktionen und Funktionen, mit denen das Aussehen des Drive Managers konfiguriert werden kann.
2 | Im Arbeitsbereich können Parameter eingegeben und verschiedene Themen aufgerufen werden.
3 | Die Statusleiste zeigt eine Liste der Onlinewerte der Parameter, wie z.B. axis state (Achszustand), Error (Fehler).


AX5000 TwinCAT Drive Manager - Übersicht Toolbar

BECKHOFF AX5000-TwinCAT Drive Manager: Toolbar

Übersicht - Toolbar

Wenn diese Schaltfläche aktiviert ist, wird eine zyklische Aktualisierung der Parameter-Istwerte im Arbeitsbereich vorgenommen.
Bei jedem Klick auf diese Schaltfläche wird eine Aktualisierung der Parameter-Istwerte im Arbeitsbereich vorgenommen.

Baumansicht (2) im Arbeitsbereich ein- oder ausblenden. Bleibt die Schaltfläche (1) aktiviert, wird die Baumansicht (2) an der linken Seite des Arbeitsbereichs immer angezeigt. Ist die Schaltfläche 1 (3) deaktiviert, wird der Baum nicht angezeigt. Wenn Sie in dieser Einstellung auf den blauen Balken (4) klicken, wird der Baum (2) solange angezeigt, bis Sie ein neues Element anklicken.

Baum eingeblendet Baum ausgeblendet

Die Statusleiste (2) im Arbeitsbereich ein- oder ausblenden. Bleibt die Schaltfläche (1) aktiviert, wird die Statusleiste (2) am unteren Rand des Arbeitsbereichs immer angezeigt.Ist die Schaltfläche (3) deaktiviert, wird die Statusleiste nicht angezeigt.
Statusleiste eingeblendet

Statusleiste ausgeblendet

Zurück zum vorigen gespeicherten Dialog.
Weiter zum nächsten gespeicherten Dialog.

Hinweis 		Administrator-Modus
Das Symbol für den Vergleich der Parametereigenschaften steht nur im Administrator-Modus zur Verfügung.
Vergleich der Parametereigenschaften wie name (Name), attribute (Attribut), min/max value (Mindest-/Höchstwert), default value (Standardwert) und unit (Einheit), die in der "Dict. XML" und der Firmware definiert sind. Die Vergleichsergebnisse werden in einem separaten Fenster angezeigt (siehe unten).

Zwischen Kanal A und Kanal B umschalten.
Auswahl eines Servoverstärkers zum gewählten Motor.
Nach der Eingabe des Stillstandstroms vom Motor (1) muss die Schaltfläche (2) geklickt werden. Danach werden im Feld (3) die passenden Servoverstärker angezeigt. In Feld (4) kann eine untere Toleranz für den Stillstandstrom eingegeben werden.

Die Startup-List wird aufgerufen.

Fester Parameter, kann nicht verändert oder gelöscht werden.
Parameter stammt NICHT aus der Motor/Feedback-Datenbank.
Deaktivierter Parameter stammt NICHT aus der Motor/Feedback-Datenbank. Wird nicht auf das Gerät geladen, wenn die EtherCAT Phase auf Op (Betrieb) geschaltet ist.
Neuer Parameter stammt NICHT aus der Motor/Feedback-Datenbank, noch NICHT in der Startup list (Startliste).
Parameter stammt NICHT aus der Motor/Feedback-Datenbank. Der Sollwert unterscheidet sich von dem in der Startup list (Startliste) und Drive Manager.
Parameter stammt aus der Motor/Feedback-Datenbank.
Deaktivierter Parameter stammt aus der Motor/Feedback-Datenbank. Wird nicht auf das Gerät geladen, wenn die EtherCAT Phase auf Op (Betrieb) geschaltet ist.
Parameter stammt aus der Motor/Feedback-Datenbank, noch nicht in der Startup list (Startliste).
Parameter stammt aus der Motor/Feedback-Datenbank. Der Sollwert unterscheidet sich von denen in Startup list (Startliste) und Drive Manager.
Benutzerdefinierter Parameter aus der Motor/Feedback-Datenbank. Dieser Parameter ist applikationsabhängig und muss überprüft werden.
Benutzerdefinierter deaktivierter Parameter aus der Motor/Feedback-Datenbank. Wird nicht auf das Gerät geladen, wenn die EtherCAT Phase auf Op (Betrieb) geschaltet ist.
Benutzerdefinierter Parameter aus der Motor/Feedback-Datenbank, noch nicht in der Startup list (Startliste).
Benutzerdefinierter Parameter aus der Motor/Feedback-Datenbank. Der Sollwert unterscheidet sich von dem in der Startup list und im Drive Manager.

Die Startup list dient zur Erstellung oder Bearbeitung einer Liste von Parametern, deren Sollwert auf das Gerät heruntergeladen wird, wenn die EtherCAT-Phase auf Safe-op (Sicherheitsbetrieb) oder Op (Betrieb) geschaltet wird. Sie besteht aus 2 Teilen:

  • der obere Teil zeigt eine solche Liste. Mit den Schaltflächen neben der Liste kann der Kanal gewechselt, der Ladezeitpunkt eines Parameters bestimmt, ein Parameter (de)aktiviert, ein Parameter innerhalb der Liste verschoben, gelöscht oder hinzugefügt, die Liste gesäubert und als XML-Datei exportiert oder eine solche XML-Datei in die Liste importiert werden. Zum Aktivieren der Liste muss die Schaltfläche OK muss angeklickt werden.

  • der untere Teil der Liste enthält die Parameter, deren Sollwert im Arbeitsbereich des Drive Managers modifiziert wird. Mit den Schaltflächen Accept (Annehmen) oder Accept All (Alle Annehmen) werden die ausgewählten oder alle Parameter in die startup list (Startliste) im oberen Teil eingefügt.

Das Fenster Status configuration (Statuskonfiguration) anzeigen, in dem festgelegt wird, welche Parameter in der status bar (Statusleiste) angezeigt werden sollen.

:

Solange die Schaltfläche gedrückt bleibt, wird in den verschiedenen Texteditoren des Arbeitsbereichs der ActValue (Istwert) angezeigt. Sonst werden die Sollwerte angezeigt.
Zeigt das Fenster About (Info) an, mit der Version des Drive Managers und der Version der Dictionary-Datei. Mit der Schaltfläche Help (Hilfe) wird dieses Dokument angezeigt.

Wird verwendet, um die EtherCAT Phase zu ändern.


AX5000 TwinCAT Drive Manager - Übersicht Arbeitsbereich

BECKHOFF AX5000-TwinCAT Drive Manager: Arbeitsbereich

Übersicht - Arbeitsbereich

Das Symbol (4) in der rechten unteren Ecke des Arbeitsblatts dient zum Scrollen. Wenn man darauf klickt, wird es erweitert.
Das aktuelle Arbeitsblatt kann nun durch Klicken auf die Pfeile gescrollt werden. Mit der Schaltfläche X kann das Symbol wieder verkleinert werden.
Farben in den Editorfenstern

In den Editorfenstern eines Arbeitsblatts haben Text- und Hintergrundfarben folgende Bedeutung:

Dunkelgrauer Hintergrund und weißer Text: Das Gerät ist nicht zugänglich (1).

Weißer Hintergrund: Das Gerät ist zugänglich (2), d.h. Istwerte der Parameter können gelesen und ggf. editiert werden.

schwarzer Text: Sollwert gleich Istwert.

roter Text: Sollwert weicht vom Istwert ab.

Hinweis 		Quick-Info
Normalerweise wird der Sollwert in einem Editor angezeigt. In der Quick-Info wird der Istwert zusammen mit anderen Parameterinformationen angezeigt, wie Index, Name Min/Max/Default value (Mindest-/Höchst-/Standardwert) und Unit (Einheit).

Solange die Schaltfläche (3) in der Symbolleiste gedrückt wird, werden in den Editorfenstern die Istwerte angezeigt.

.


AX5000-TwinCAT Drive Manager - Baumansicht im Arbeitsbereich

BECKHOFF AX5000-TwinCAT Drive Manager: Arbeitsbereich

Baumansicht im Arbeitsbereich

Die tree view (Baumansicht) listet die Parametergruppen nach ihrer Funktion für das gesamte Gerät und die Kanäle. Wird ein Element in der Baumansicht ausgewählt, wird das zugehörige Arbeitsblatt angezeigt. Das ausgewählte Element wird farbig hinterlegt.

Kontextmenü eines Elements in der Baumansicht

Durch Rechtsklick auf ein Baumelement wird ein Kontextmenü angezeigt. Die Menüelemente sind abhängig von Status der Elemente der Baumansicht:

  • verweist das Element auf das aktuelle Arbeitsblatt, wird nachstehendes Kontextmenü angezeigt. Hat das Gerät 2 Kanäle und ist das Arbeitsblatt kanalabhängig, ist nur „Goto channel A“ (Gehe zu Kanal A) oder „Goto channel B“ (Gehe zu Kanal B) aktiviert. Bei Auswahl dieses Menüs wird für einen der beiden Kanäle ein ansonsten identisches Arbeitsblatt aktiviert.

  • verweist das Baumelement auf ein nicht aktuelles Arbeitsblatt (nicht aktiviert oder ein Andockblatt in der Struktur), zeigt das Kontextmenü 5 weitere Menüelemente für dieses Blatt.

Durch Anwählen eines der „Show…“ (Zeigen…)-Menüpunkte kann ein Andockblatt in der Struktur links, rechts, oben oder unten am aktuellen Arbeitsblatt angedockt werden. Das Baumansichtelement wird dann blau markiert.

Ein Zusatzblatt kann verschoben werden, indem man die Maus in die Kopfzeile bewegt und es dann mit gedrückter Maustaste an eine andere Position andockt oder frei lässt. Es kann mit der Schaltfläche Schließen in der Kopfzeile oder dem Element „Release Docking“ (Andocken aufheben) im Kontextmenü geschlossen werden . Das aktuelle Arbeitsblatt hingegen kann nicht verschoben oder geschlossen werden.


Arbeitsblatt Gerät

Man kann das Arbeitsblatt des Geräts nutzen, um die Sollwerte aller Parameter zu initialisieren oder zurückzusetzen. Dies erleichtert die Parametrisierung. Es gibt 3 verschiedene Möglichkeiten:

  • with the online value (mit dem Onlinewert): nur verfügbar, wenn das Gerät zumindest in der Pre-Op Phase (Phase vor Betrieb) ist und alle Parameter gelesen werden können.

  • with the default value (mit dem Standardwert): die Sollwerte sind als Standardwerte gegeben und in einer Wörterbuchdatei definiert.

  • with a xml file (e.g. startup list) (mit einer xml-Datei [z.B. Startliste]): Sollwerte sind als Werte einer xml-Datei gegeben, die exportiert wird aus einem Gerätearbeitsblatt eines anderen Geräts oder aus der Dialog Startup list (Startliste), die mit der Schaltfläche [image] in der Symbolleiste aufgerufen werden kann.

Wird ein AX5000 erstmalig an den System Manager angehängt, nutzt der Drive Manager eine der beiden Möglichkeiten zur Initialisierung der Sollwerte, je nachdem, ob die Parameter zu diesem Zeitpunkt zugänglich sind oder nicht.

Mit der Schaltfläche „Export the SetValues as xml...“ (Sollwerte als xml exportieren) wird eine xml-Datei erstellt, um die Sollwerte eines anderen Gerätes zurückzusetzen.

„Report history“ (Berichtsverlauf) erzeugt einen Bericht der einzelnen Schritte während „Change to compatible type...“ (zum kompatiblen Typ wechseln).


Arbeitsblatt Geräteinfos

Das Arbeitsblatt Geräteinfos listet wichtige Angaben wie Firmware- und Hardwareinformationen auf, z.B. Herstellerversion. Die Daten können als Datei exportiert oder ausgedruckt werden. Sie werden bei einem Kontakt mit dem Service Center benötigt.


Arbeitsblatt Energieverwaltung

Das Arbeitsblatt Energieverwaltung bietet 2 Möglichkeiten für die Parametrisierung:

Grafische Ansicht: Bietet einen grafischen Überblick über die Energieverwaltung in AX5000.

(1) Umschalten zwischen Table (Tabelle) und Graphic View (grafische Ansicht).

(2) Download des vorgegebenen Werts in das Gerät.

(3) Anzeige des nominalen Istwerts der Netzspannung (schreibgeschützt).

(4) Anzeige des Optionsdialogs Umain Phase Error Detection (UNetz Suche Phasenfehler).

(5) Editor für nominale Netzspannung.

(6) Editor für positiven Toleranzbereich der Netzspannung.

(7) Editor für negativen Toleranzbereich der Netzspannung.

(8) Anzeige der effektiven Leistung des internen Bremswiderstands (schreibgeschützt).

(9) Anzeige der Istwerte des internal brake resistor parameter (Parameter des internen Bremswiderstands) (schreibgeschützt).

(10) Anzeige des Dialogs für enable (Aktivierung) oder disable (Deaktivierung) des internal brake resistor (internen Bremswiderstands).

(11) Anzeige der DC-Busspannung (schreibgeschützt).

(12) Anzeige des externen Zwischenkreisstroms (schreibgeschützt).

(13) Anzeige des OptionsDialogs Zwischenkreis

(14) Anzeige der effektiven Leistung des Bremswiderstands.

(15) Anzeige des Dialogs zur Vorgabe des externen Bremswiderstands.

Tabellenansicht: Listet alle Parameter der Energieverwaltung auf. Man kann den Set-value (Sollwert) auch direkt in den Tabelleneditor einfügen und mit Enter bestätigen.


Arbeitsblatt Anzeige

Im Arbeitsblatt Anzeige kann festgelegt werden, was in der Anzeige vorn am Gerät erscheinen soll. Solange kein Gerätefehler vorliegt, wird der Act-value (Istwert) der gewünschten Einstellungen angezeigt.


AX5000 TwinCAT Drive Manager - TwinCAT Scope View

BECKHOFF AX5000-TwinCAT Drive Manager: Arbeitsbereich - Arbeitsblätter - Geräte

TwinCAT Scope View

Allgemein

Das TwinCAT Scope View bietet eine komfortable Möglichkeit zur Diagnose der Geräteparameter. Bevor Scope View gestartet wird, muss man im Process Image (Prozessabbild) (1) die Schaltfläche „ADS" (2) klicken und das Häkchen bei Enable ADS server“ (ADS/ADS-Server aktivieren) (3) setzen. Durch klicken der Schaltfläche (4) wird diese System Manager Konfiguration aktiviert.

Starten von TwinCAT Scope View

TwinCAT Scope View ist nicht mehr im TwinCAT Drive Manager integriert, sondern muss separat gestartet werden. Die folgende Grafik kann je nach Betriebssystem und Konfiguration abweichen.

Eine detaillierte Beschreibung vom "TwinCAT Scope View" finden Sie auf www.Beckhoff.com unter "Download (1) --> Dokumentation (2) --> TwinCAT (3) --> TwinCAT Scope View (4)".


Arbeitsblatt Übersicht Steuerung

Dieses Arbeitsblatt gibt einen Überblick über den Aufbau von AX5000-Steuerungen. Durch Anklicken der Schaltflächen gelangt man unmittelbar zum Arbeitsblatt Power Management (Energieverwaltung), Controller Unit (Steuerungseinheit) oder Motor and Feedback 1 (Motor und Feedback 1).


Arbeitsblatt Fehlerverhalten, Stillstand des Antriebs

BECKHOFF Antriebstechnik: TwinCAT Drive Manager

Arbeitsblatt Fehlerverhalten / Stillstand des Antriebs

In diesem Arbeitsblatt können die Vorgaben für das Verhalten bei Fehlern und den Stillstand des Antriebs festgelegt werden.


Arbeitsblatt Übersicht Steuerung

Dieses Arbeitsblatt gibt einen Überblick über den Aufbau von AX5000-Steuerungen. Sie umfasst einen position controller, velocity controller und current controller unit (Lage-, Drehzahl- und Stromregler), die mit Steuerungen anderer Systeme wie TwinCAT NC kombiniert werden kann. Standardmäßig ist Drehzahlsteuerung als primäre Betriebsart eingestellt. Das heißt, TwinCAT NC übernimmt die Lageregelung und das Gerät kümmert sich um die Steuerung von Drehzahl und Stromzufuhr . So kann man von den vielseitigen Funktionen und der Flexibilität von TwinCAT NC, z.B. den TwinCAT SPS-Bewegungsfunktionsbausteinen, profitieren. Durch Anklicken der Schaltfläche gelangt man direkt zum Arbeitsblatt Position Control Unit (Lageregler), Velocity Control Unit (Drehzahlregler) oder Current Control Unit (Stromregeler).


Arbeitsblatt Lageregler

Dieses Arbeitsblatt zeigt das Konzept des AX5000 Lagereglers etwas ausführlicher. Wie gewöhnlich kann der Set-value (Sollwert) für z.B. den Kv-Faktor der Positionsschleife direkt in den Editor eingegeben werden.


Arbeitsblatt Drehzahlregler

Dieses Arbeitsblatt zeigt das Konzept der AX5000 Drehzahlregler etwas ausführlicher. Wie üblich kann der Sollwert (für die Nachstellzeit der Drehzahlschleife z.B.) direkt in den Editor eingegeben werden.


Arbeitsblatt Stromregelung

Dieses Arbeitsblatt zeigt das Konzept der AX5000 Stromregelung etwas ausführlicher. Wie üblich kann der Sollwert (für die Nachstellzeit der Stromschnittstelle z.B.) direkt in den Editor eingegeben werden.


Arbeitsblatt Motor und Feedback

In diesem Arbeitsblatt kann ein Motor und/oder ein passendes Feedback aus einer Datenbank aller von Beckhoff unterstützten Motoren und Feedbacks gewählt werden. Wenn der Motor über ein von Beckhoff definiertes elektronisches Typenschild verfügt, kann die scan motor and feedback function (Funktion Motor scannen und Feedback) verwendet werden.

  • Nachdem ein Motor und/oder Feedback(s) gewählt wurden kann man entscheiden, ob die aus der Datenbank geladenen Parameter direkt in die startup list (Startliste) eingefügt werden sollen. Werden die Motorfeedbackdaten zurückgesetzt, kann man mit dieser Option entscheiden, ob die Parameter des gewählten Motorfeedbacks aus der startup list (Startliste) entfernt werden sollen oder nicht.

Es gibt 3 Optionen, die unter [image] gelistet sind.

  1. No (Nein): Die Parameter werden nicht direkt in die startup list (Startliste) eingefügt sondern müssen dieser manuell hinzugefügt werden.

  2. Standard: Alle Standardparameter, die im Dialog startup list (Startliste) mit [image] gekennzeichnet sind, werden direkt in die startup list (Startliste) eingefügt.

  3. Standard+User defined (Standard + benutzerdefiniert) (voreingestellt): Alle aus der Datenbank ausgelesenen Parameter (auch benutzerdefinierte (im Dialog startup list [Startliste] mit einem [image] gekennzeichnet)) werden direkt in die Startliste eingefügt.

Hinweis Die Parameter aus der Datenbank können noch geändert werden, nachdem sie im Drive Manager gewählt worden sind. Standardparameter sind Parameter, die im Allgemeinen nicht verändert werden sollten. Es sind die Grundeinstellungen für den Motor. Benutzerdefinierte Parameter können abhängig von den verschiedenen Anforderungen der Anwendungen verändert werden.

  • Die Daten eines gewählten Motors und Feedback(s) können mit der Dropdown-Schaltfläche [image] insgesamt oder separat zurückgesetzt werden.

  • Bevor ein Motor und sein(e) Feedback(s) ausgewählt oder gescannt werden, müssen entsprechende Anschlüsse aus den Kombinationsfeldern für die Anschlüsse ausgewählt werden.

Scannen Motor / Feedback

Diese Funktion ist nur in der Pre-op phase (Phase vor Betrieb) verfügbar, die in der status bar (Statuszeile) bestätigt werden kann. Bei Betätigen der Schaltfläche „Scan motor and feedback 1“ (Scannen Motor und Feedback 1) wird der angeschlossene Motor und/oder das Feedback gefunden, wenn der Motor ein von Beckhoff definiertes elektronisches Typenschild besitzt.

Nach Betätigen der Schaltflächen „Scan motor and feedback1“ (Scannen Motor und Feedback1) bzw. „Scan motor and feedback2“ (Scannen Motor und Feedback2) wird der Dialog „Scan motor and feedback“ (Scannen Motor und Feedback) angezeigt.

Die Datensätze der einzelnen Feedbacktypen werden heruntergeladen und mit dem Befehl „P-0-0163“ getestet. Wurde der Befehl erfolgreich ausgeführt, wird das Typenschild in Parameter „P-0-0098“ gelesen. So erhält man den Motor- und Feedbacktyp, falls diese gekennzeichnet sind.

Motor auswählen

Bei Betätigen der Schaltfläche „ [image] “ wird der Dialog „Select a motor“ (Einen Motor auswählen) aufgerufen. In dieser Liste sind alle AX5000 unterstützten Motoren der Datenbank aufgeführt. Die Motoren sind in zwei Gruppen eingeteilt: Synchron- und Asynchronmotoren. Jede Gruppe ist weiter in Dreh- und Linearmotoren unterteilt. Danach sind unter manufacturer/Application/Motor serial (Hersteller/Anwendung/Motorseriennummer) die Motortypen aufgelistet, wie unten dargestellt.

Nachdem ein Motortyp gewählt wurde, muss die Schaltfläche „OK“ betätigt werden. Der Dialog constraints (Randbedingungen) wird angezeigt und es muss eine Randbedingung gewählt werden.

Die Parametervorgaben für diesen Motortyp werden dann aus der Datenbank ausgelesen und in der Liste des Arbeitsblatts Motor and Feedback (Motor und Feedback) angezeigt. Wurde der Motor mit einem spezifischen Feedback 1 hergestellt, werden in der Liste auch die Parameter von Feedback 1 angezeigt. Ansonsten kann ein Feedback wie folgt separat gewählt werden:

Feedback auswählen

Bei Betätigen der Schaltfläche [image] wird der Dialog „Select a motor feedback“ (Ein Motorfeedback auswählen) aufgerufen. In dieser Liste sind alle von diesem AX5000 unterstützten Feedbacks der Datenbank aufgeführt. Die Feedbacks sind in zwei Gruppen eingeteilt: Dreh- und Linearmotorfeedbacks. Danach sind unter manufacturer/Application/Motor feedback serial (Hersteller/Anwendung/Motorseriennummer) die Feedbacktypen der einzelnen Gruppen aufgelistet, wie unten dargestellt.

Wird ein zusätzliches Feedback verwendet, kann die Schaltfläche [image] betätigt werden, um den oben gezeigten Dialog aufzurufen und einen Feedbacktyp auszuwählen.

Feedbackrichtung ändern

Die von der Motorrichtung abhängige Feedbackrichtung kann mit der Schaltfläche [image] konfiguriert werden. Nachdem diese Schaltfläche betätigt wurde, wird der Dialog

angezeigt. Hier kann die gewünschte Richtung vorgegeben werden.

Die Schaltflächen „Feedback 1 Parameters“ (Parameter Feedback 1), „Motor Parameters“ (Motorparameter) und „Feedback 2 Parameters“ (Parameter Feedback 2) verlinken auf das Arbeitsblatt „Feedback 1“, „Motor“ bzw. „Feedback 2“.


Arbeitsblatt Motor und Feedback 1

Dieses Arbeitsblatt zeigt eine Liste von Datensätzen für den ausgewählten Motor.

Durch Klicken auf [image] wird das übergeordnete Arbeitsblatt „Motor and Feedback“ (Motor und Feedback) orientiert.


Arbeitsblatt Feedback 1

In diesem Arbeitsblatt werden die Parameter des gewählten Feedbacks 1 angezeigt.

Das Referenzsignal für Probe Unit (Messfühlereinheit) kann eingestellt werden, wenn das Signal in Mux 2 in der logischen Konfiguration des Messfühlers 1 als „8: Reference signal feedback front“ (8: Referenzsignal Feedbackfront) gewählt wird.

Durch Klicken auf [image] wird das übergeordnete Arbeitsblatt „Motor and Feedback“ (Motor und Feedback) orientiert.


Arbeitsblatt Feedback 2

Dieses Arbeitsblatt zeigt die Parameter des gewählten Feedbacks 2 an. Feedback 1 und Feedback 2 haben dieselbe Datenstruktur.

Das Referenzsignal für Probe Unit (Messfühlereinheit) kann eingestellt werden, wenn das Signal in Mux 2 in der logischen Konfiguration des Messfühlers 1 als „8: Reference signal feedback front“ (8: Referenzsignal Feedbackfront) gewählt wird.

Durch Klicken auf [image] wird das übergeordnete Arbeitsblatt „Motor and Feedback“ (Motor und Feedback) orientiert.


Arbeitsblatt digitale I/Os

Dieses Arbeitsblatt zeigt den Status der digitalen I/Os. Ist einer der I/O-Ports aktiv, hat das Feld mit seiner Nummer mit grünem Hintergrund. Ansonsten ist der Hintergrund rot

Alle digitalen I/O-Ports (außer digitaler I/O-Port 7) dienen als Eingaben. Der digitale I/O-Port 7 kann ebenfalls konfiguriert werden. Mit den Kontrollkästchen werden die Sollwerte eingestellt. Die Inschrift darüber zeigt den aktuellen Wert für Port 7.


Arbeitsblatt Parameterliste

In diesem Arbeitsblatt sind alle verfügbaren Parameter aufgelistet. Standardmäßig werden die Parameter in den Gruppen angezeigt.

Durch einen Rechtsklick irgendwo in der Kopfzeile der Liste wird ein Kontextmenü angezeigt und der Punkt „Show in group“ (in Gruppen anzeigen) ist aktiviert. Wird der Punkt deaktiviert, werden die Parameter in aufsteigender Reihenfolge der Parameterindexe angezeigt.

Mit dem Kontextmenü können in der Liste auch die minimum (Mindest-), maximum (Höchst-) und default values (Standardwerte) angezeigt werden.

Mit einem Linksklick auf die Kopfzeile IDN oder Name (Bezeichnung) werden die Parameter in auf- oder absteigender Reihenfolge nach Index oder Bezeichnung sortiert.

Ist der Parameter editierbar, kann der Set-value (Sollwert) auch direkt im Editor, der durch Klicken auf die Zelle angezeigt wird, geändert werden. Um die Änderung vorzunehmen, muss die Enter-Taste gedrückt werden.

Die Schaltfläche „Download“ dient zum Herunterladen der Set-values (Sollwerte) der gewählten Parameter. Mehrfachauswahl ist zulässig.

Mit der Schaltfläche „Upload All Visible“ (Alle sichtbaren laden) können die Act-values (Istwerte) der sichtbaren Parameter in der Liste aktualisiert werden. Sie hat dieselbe Funktion wie die Schaltflächen [image] oder [image] in der Toolbar.


Arbeitsblatt Messfühlereinheit

Messfühlereinheit ist eine Funktion zur „Messung mit Messfühler“. Kann als Referenzfunktion verwendet werden. Funktioniert nur in der Phase Safe-Op (Sicherheitsbetrieb) oder Op (Betrieb), die in der Statusleiste bestätigt werden kann.

Die logische Konfiguration des Messfühlers entscheidet, welches Signal beobachtet wird, der Messfühler wird über einen Befehl aktiviert. Solange das konfigurierte Signal die gewählte Flanke vorgibt, speichert der Antrieb u.a. den Positionsfeedbackwert (kann über einen Quellparameter der Messfühlereinheit festgelegt werden). Das Arbeitsblatt bietet die nötigen Funktionen, um die Logik zu konfigurieren, den Befehl zu starten/stoppen und die Quelle der Vorgabe festzulegen.

Die Istwerte der Parameter für die Messfühlereinheit werden auf den Schaltflächen grafisch oder als Text dargestellt. Man kann die Sollwerte in Dialogen verändern, die durch Betätigen der Schaltflächen angezeigt werden können.

Es können zwei Signalquellen für die Messfühlereinheit genutzt werden:

  • für Multiplexer 1 kann ein digital input (digitaler Eingang) mit einer gewünschten Flanke gewählt werden.

  • für Multiplexer 2 sind neben den Digitalen Eingängen zwei Referenzsignaleingänge verfügbar.

Wird „8: Reference signal Feedback“ (Referenzsignalfeedback) gewählt, erscheint folgende Meldung.

Wird „OK“ betätigt, wird auf das Arbeitsblatt „Feedback 1“ verlinkt. Hier kann das Feedbackreferenzsignal vorgegeben werden.

Der Logikbaustein entscheidet, welches Signal tatsächlich funktioniert.

Bevor die Messfühlereinheit aktiviert wird, muss die endgültige Flanke des Signals durch „Pos edge“ (positive Flanke) oder „Neg edge“ (negative Flanke) bestimmt werden.

Nur wenn „Pos edge“ (positive Flanke) oder „Neg edge“ (negative Flanke) aktiviert ist, kann „Probe Enable“ (Messfühler aktivieren) angeklickt werden.

Mit der Schaltfläche ganz rechts kann man auswählen, welcher Wert gespeichert werden soll; zur Zeit ist nur „Position feedback 1 value“ (Wert Position Feedback 1) verfügbar.

Sind alle Vorgaben erfolgt und wurden zur startup list (Startliste) hinzugefügt, muss diese Konfiguration aktiviert werden. Danach kann die Messfühlereinheit durch Betätigen der Schaltfläche „Start“ aktiviert werden. Das Ergebnis kann in einer der Beschriftungen ganz rechts verfolgt werden.


Arbeitsblatt Manual operation (manueller Betrieb)

Im Arbeitsblatt manueller Betrieb wird die Motorbremse manuell aktiviert/deaktiviert.


Arbeitsblatt Antriebsbefehle

Im Arbeitsblatt Antriebsbefehle werden diese implementiert. Es gibt zwei Arten von Befehlen:

  • zum einen die autonomen Befehle, wie „P-0-0905: Clear error history (pc)“ (P-0-0905: Fehlerverlauf löschen [pc])

  • zum anderen die Befehle, mit denen die Vorgeben anderer Parameter aktiviert werden; so aktiviert „P-0-0162: Feedback 1: Save digital name plate (pc)“ (P-0-0162: Feedback 1: digitales Typenschild speichern [pc]) die Vorgabe von „P-0-0098: Digital motor name plate“ (P-0-0098: digitales Typenschild Motor). Die Vorgaben des entsprechenden Parameters müssen also heruntergeladen werden , bevor der Befehl ausgeführt werden kann; manchmal wird ein Passwort benötigt.

In diesem Arbeitsblatt können die Befehle aus dem Kombinationsfeld oben ausgewählt werden. Solange ein Befehl ausgewählt ist, wird der entsprechende Parameter, falls vorhanden, unten gelistet.

Die Ergebnisse von Download und Implementierung der Befehle werden unter der Liste angezeigt.


Arbeitsblatt Diagnose

Das Arbeitsblatt Diagnose zeigt eine Liste aktueller Fehler und den Fehlerverlauf.

Durch Klicken auf die Schaltfläche [image] wird ein Dialogfenster „Diagnostics Info“ (Diagnoseinfos) mit weiteren Einzelheiten angezeigt.


Arbeitsblatt IDN-Debugger

Im Arbeitsblatt IDN-Debugger können Parameter im SOE-Zeilenformat (herunter)geladen werden. Das Ergebnis verweist nicht auf die IDN-Dateibeschreibung.


Übersicht Statusleiste

BECKHOFF Antriebstechnik: TwinCAT Drive Manager

Übersicht - Statusleiste

Die Spalten in der Liste Statusleiste können im Dialog Config Status list (Statusliste konfigurieren) konfiguriert werden, der über die Schaltfläche [image] in der toolbar (Symbolleiste) aufgerufen werden kann. Die Zeilennummer ist abhängig von der Nummer des Gerätekanals. Die Zellen zeigen den Istwert der Parameter als Text oder LEDs an, wenn die Parameter zugänglich sind.

Die Kopfzeile oben links zeigt die Phase des Gerätezustands. Ist er grau hinterlegt, ist das Gerät Offline, in der Init- und Bootstrap-Phase. Das bedeutet, dass auch Parameter nicht gelesen und geschrieben werden können. Ist das Gerät in der Pre-Op-, Safe-Op- oder Op-Phase (vor Betrieb, Sicherheitsbetrieb oder Betrieb), ist diese Kopfzeile grün, wenn keine Fehler oder Warnungen anstehen, rot bei Fehlern und gelb bei Warnungen. Einzelheiten zu Fehlern oder Warnungen erhält man durch Klicken auf diese Kopfzeile.

Eine weitere wichtige Spalte ist Error Id (Fehler ID). Wenn Fehler anstehen und man auf die Spalte Error Id (Fehler ID) klickt, erscheint eine Quick-Info mit Fehlerliste.

Die Fehler können durch Klicken der Schaltfläche [image] rechts in der Zelle zurückgesetzt werden. Dadurch wird der SoE-Befehl „S-0-0099“ ausgeführt.

Die LEDs in den Zellen zeigen Boolesche Werte an: wahr - grün, falsch - rot. Grau heißt, dass der Parameter nicht zugänglich ist.

Die Text-Hintergrundfarbe der Zelle wie z.B. Ampl. Temp. [C°] (Temperaturamplitude [C°]) gibt Fehler (überhitzt) - rot und Warnungen (im Bereich der Warntemperatur) - gelb an.


Kurze Einführung

1) AX5000 im System anschließen wie im Handbuch für die Hardware angegeben.

2) System Manager öffnen und ein neues Dokument erstellen.

3) TwinCAT in Config Mode (Konfigurationsmodus) setzen/zurücksetzen.

4) Unter I/O-Configuration and Scan Devices (I/O-Konfiguration und Geräte scannen) I/O Devices (I/O-Geräte) auswählen.

5) In allen erscheinenden Meldungsfeldern auf OK klicken.

6) AX5000 auswählen und zum Karteireiter Configuration (Konfiguration) gehen.

7) Auf die Schaltfläche Motor-Feedback im Arbeitsbereich klicken und zum Arbeitsblatt „Motor and Feedback“ (Motor und Feedback) wechseln.

8) Im Arbeitsblatt „Motor and Feedback“ (Motor und Feedback) auf die Schaltfläche „Scan motor and feedback 1*“ (Motor erkennen und Feedback 1*) klicken.

9) Im Dialog „Scan motor and feedback“ (Motor erkennen und Feedback) auf „OK“ klicken; der Dialog „Constraints“ (Einschränkungen) wird angezeigt.

10) Aus dem Dialog Constraints (Randbedingungen) die entsprechende Randbedingung auswählen.

Eine Liste mit Parametern und ihren Sollwerten wird aus der Motordatenbank geladen und Motortyp und Feedback werden angezeigt.

11) Auf [image] Zurück zum vorigen Dialog in der Symbolleiste klicken, um zum Arbeitsblatt in 7) zurückzukehren. Klicken Sie auf die Schaltfläche „Power Management“ (Energieverwaltung). Oder klicken Sie auf die Kopfzeile des Arbeitsblatts Motor-Feedback für die Baumansicht und klicken dann auf „Device/Power Management“ (Gerät/Energieverwaltung).

12) Geben Sie den entsprechenden Wert für UNetz (Netzspannung) ein. Im vorliegenden Beispiel mit 230 V klicken Sie auf die Schaltfläche „Phase Error Detection“ (Suche Phasenfehler) um den Dialog „Power Management control word...“ (Energieverwaltung Steuerwort…) aufzurufen, wählen „Disable UmainPhaseErrorDetection“ (NetzspannungPhasenfehlererkennung deaktivieren) und klicken Sie dann auf OK oder Download.

13) Klicken Sie in der Symbolleiste auf die Schaltfläche [image] Startuplist (Startliste), um den Dialog Startup list (Startliste) aufzurufen. Klicken Sie auf „Accept All“ (Alle Annehmen) und dann auf „OK“.

14) Speichern Sie das Projekt und aktivieren die Konfiguration des System Managers.

15) Überprüfen Sie die Statusleiste, ob der Antrieb bereit ist. Gehen Sie zu den verlinkten Achsen unter NC – Configuration (NC-Konfiguration) und hier zu drive up the motors (Motoren starten).


Support und Service

Beckhoff und seine weltweiten Partnerfirmen bieten einen umfassenden Support und Service, der eine schnelle und kompetente Unterstützung bei allen Fragen zu Beckhoff Produkten und Systemlösungen zur Verfügung stellt.

Beckhoff Support

Der Support bietet Ihnen einen umfangreichen technischen Support, der Sie nicht nur bei dem Einsatz einzelner Beckhoff Produkte, sondern auch bei weiteren umfassenden Dienstleistungen unterstützt:

  • Support
  • Planung, Programmierung und Inbetriebnahme komplexer Automatisierungssysteme
  • umfangreiches Schulungsprogramm für Beckhoff Systemkomponenten
Hotline: | +49(0)5246/963-157
Fax: | +49(0)5246/963-9157
E-Mail: | support@beckhoff.com

Beckhoff Service

Das Beckhoff Service-Center unterstützt Sie rund um den After-Sales-Service:

  • Vor-Ort-Service
  • Reparaturservice
  • Ersatzteilservice
  • Hotline-Service
Hotline: | +49(0)5246/963-460
Fax: | +49(0)5246/963-479
E-Mail: | service@beckhoff.com

Weitere Support- und Serviceadressen finden Sie auf unseren Internetseiten unter http://www.beckhoff.de.

Beckhoff Firmenzentrale

Beckhoff Automation GmbH & Co. KG

Hülshorstweg 20
33415 Verl
Deutschland

Telefon: | +49(0)5246/963-0
Fax: | +49(0)5246/963-198
E-Mail: | info@beckhoff.com

Die Adressen der weltweiten Beckhoff Niederlassungen und Vertretungen entnehmen Sie bitte unseren Internetseiten:
http://www.beckhoff.de

Dort finden Sie auch weitere Dokumentationen zu Beckhoff Komponenten.


Arbeitsblatt Motor und Feedback 1

In diesem Arbeitsblatt kann ein Motor und/oder ein passendes Feedback aus einer Datenbank aller von Beckhoff unterstützten Motoren und Feedbacks gewählt werden. Wenn der Motor über ein von Beckhoff definiertes elektronisches Typenschild verfügt, kann die scan motor and feedback function (Funktion Motor scannen und Feedback) verwendet werden.

Motor auswählen

Bei Betätigen der Schaltfläche „Select Motor“ (Motor wählen) wird der Dialog „Select a motor“ (Einen Motor auswählen) aufgerufen. In dieser Liste sind alle AX5000 unterstützten Motoren der Datenbank aufgeführt. Die Motoren sind in zwei Gruppen eingeteilt: Synchron- und Asynchronmotoren. Jede Gruppe ist weiter in Dreh- und Linearmotoren unterteilt. Danach sind unter manufacturer/Application/Motor serial (Hersteller/Anwendung/Motorseriennummer) die Motortypen aufgelistet, wie unten dargestellt.

Man kann entscheiden, ob die Parameter direkt in die startup list (Startliste) eingefügt werden sollen oder nicht. Diese Option kann mit einer der Optionsschaltflächen eingestellt werden:

  • No (Nein): Die Parameter werden nicht direkt in die startup list (Startliste) eingefügt sondern müssen dieser manuell hinzugefügt werden.

  • Standard: Alle Standardparameter, die im Dialog startup list (Startliste) mit [image] gekennzeichnet sind, werden direkt in die startup list (Startliste) eingefügt.

  • Standard + User defined (Standard + benutzerdefiniert): Alle aus der Datenbank ausgelesenen Parameter (auch benutzerdefinierte (im Dialog startup list [Startliste] mit einem [image] gekennzeichnet)) werden direkt in die Startliste eingefügt.

Diese Option kann auch im Kombinationsfeld [image] im Arbeitsblatt Motor and Feedback 1 (Motor und Feedback 1) gewählt werden.

Hinweis Die Parameter aus der Datenbank können noch geändert werden, nachdem sie im Drive Manager gewählt worden sind. Standardparameter sind Parameter, die im Allgemeinen nicht verändert werden sollten. Es sind die Grundeinstellungen für den Motor. Benutzerdefinierte Parameter können abhängig von den verschiedenen Anforderungen der Anwendungen verändert werden.

Nachdem ein Motortyp gewählt wurde, muss die Schaltfläche „OK“ betätigt werden. Der Dialog constraints (Randbedingungen) wird angezeigt und es muss eine Randbedingung gewählt werden.

Die Parametervorgaben für diesen Motortyp werden dann aus der Datenbank ausgelesen und in der Liste des Arbeitsblatts Motor and Feedback 1 (Motor und Feedback 1) angezeigt. Wurde der Motor mit einem spezifischen Feedback hergestellt, werden in der Liste auch die Feedbackparameter angezeigt. Ansonsten kann ein Feedback wie folgt separat gewählt werden:

Feedback auswählen

Bei Betätigen der Schaltfläche „Select Feedback“ (Feedback wählen) wird der Dialog „Select a Motor feedback“ (Ein Motorfeedback auswählen) aufgerufen. In dieser Liste sind alle von diesem AX5000 unterstützten Feedbacks der Datenbank aufgeführt. Die Feedbacks sind in zwei Gruppen eingeteilt: Dreh- und Linearmotorfeedbacks. Danach sind unter manufacturer/Application/Motor feedback serial (Hersteller/Anwendung/Motorfeedbackseriennummer) die Feedbacktypen der einzelnen Gruppen aufgelistet, wie unten dargestellt.

Wie bei der Auswahl des Motortyps können auch hier die Optionen für die startup list (Startliste) gewählt werden.

Scannen Motor und Feedback

Diese Funktion ist nur in der Pre-op phase (Phase vor Betrieb) verfügbar, die in der status bar (Statuszeile) bestätigt werden kann. Bei Betätigen der Schaltfläche „Scan motor and feedback“ (Scannen Motor und Feedback) wird der angeschlossene Motor und/oder das Feedback gefunden, wenn der Motor ein von Beckhoff definiertes elektronisches Typenschild besitzt.